Download it now!
Bug 133702 - FILESAVE DOCX Frame anchor moves between paragraphs
Summary: FILESAVE DOCX Frame anchor moves between paragraphs
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Tibor Nagy (NISZ)
URL:
Whiteboard: target:7.1.0
Keywords:
Depends on:
Blocks: DOCX-Frames DOCX-Anchor-and-Text-Wrap
  Show dependency treegraph
 
Reported: 2020-06-05 13:34 UTC by NISZ LibreOffice Team
Modified: 2020-09-10 11:50 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file from Word (11.93 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-06-05 13:34 UTC, NISZ LibreOffice Team
Details
The original file saved by Writer (9.62 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-06-05 13:34 UTC, NISZ LibreOffice Team
Details
Screenshot of the problem in Writer (122.54 KB, image/png)
2020-06-05 13:34 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-06-05 13:34:12 UTC
Created attachment 161656 [details]
Example file from Word

Attached Word-made document contains a simple frame anchored to the first paragraph of text.
On saving this from Writer the anchor moves to the second paragraph, moving the whole frame lower in the document.

Steps to reproduce:
    1. Open attached file
    2. Save it as docx, reload

Actual results:
Frame is anchored to the second paragraph.

Expected results:
Frame should be anchored to the first paragraph.

LibreOffice details:
Version: 7.1.0.0.alpha0+ (x64)
Build ID: 75e1cf6c6ea83e65da248dab917b06feea6c18e4
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL
Comment 1 NISZ LibreOffice Team 2020-06-05 13:34:28 UTC
Created attachment 161657 [details]
The original file saved by Writer
Comment 2 NISZ LibreOffice Team 2020-06-05 13:34:45 UTC
Created attachment 161658 [details]
Screenshot of the problem in Writer
Comment 3 Dieter 2020-06-08 07:19:19 UTC
I confirm it with

Version: 7.0.0.0.beta1 (x64)
Build ID: 94f789cbb33335b4a511c319542c7bdc31ff3b3c
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win
Locale: de-DE (de_DE); UI: en-GB
Calc: CL
Comment 4 Commit Notification 2020-08-07 09:15:15 UTC
Tibor Nagy committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e5f0c4dd632d3c4a9eea36f65974d6004ac07983

tdf#133702 DOCX export: fix frame anchor position

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 BogdanB 2020-08-15 05:09:50 UTC
Solved.

Verified in
Version: 7.1.0.0.alpha0+
Build ID: 6ad2f463784a24c566477cdd60ae729651bb8564
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded